package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 装备信息简要输出实体类，只包含部分字段
 */
@Data
public class EqsBriefDto implements Serializable {
    /**
     * epc
     */
    private String epc;
    /**
     * 装备类型ID
     */
    private String typeId;
    /**
     * 装备类型
     */
    private String typeName;
    /**
     * 装备号型ID
     */
    private String sizeId;
    /**
     * 装备号型
     */
    private String sizeName;

    /**
     * 供应商
     */
    private String supplierName;
    /**
     * 供应商ID
     */
    private String supplierId;
    /**
     * 物资状态
     */
    private String state;

    /**
     * 业务状态
     */
    private String bussinessState;

    /**
     * 位置状态
     */
    private String locationState;
    /**
     * 质保期
     */
    private long warrantyPeriod;

    /**
     * 维保期
     */
    private Integer maintenancePeriod;
    /**
     * 价格
     */
    private BigDecimal price ;
    /**
     * 位置类型
     */
    private String locationType;

    /**
     * 位置ID
     */
    private String locationId ;
    /**
     * 生产日期
     */
    private Date productionDate;
}
