package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class InventorySumDto {
    /**
     * id 装备汇总id
     */
    private String id;
    /**
     *orgId 组织机构id
     */
    private Long orgId;
    /**
     *orgName 组织机构名称
     */
    private String orgName;
    /**
     *typeId 装备类型id
     */
    private String typeId;
    /**
     *typeName 装备类型名称
     */
    private String typeName;
    /**
     *sizeId 装备型号id
     */
    private String sizeId;
    /**
     *sizeName 装备型号名称
     */
    private String sizeName;
    /**
     *number 库存数量
     */
    private Integer number;
    /**
     *price 总价
     */
    private BigDecimal price;
    /**
     *stockNumber 在库数
     */
    private Integer stockNumber;
    /**
     *outboundNumber 出库数量
     */
    private Integer outboundNumber;
    /**
     *expireNumber 过质保数量
     */
    private Integer expireNumber;

    private List<InsDetailDto> detailList;
}
