package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.util.List;

/**
 * 根据区域id查询装备详细信息输出实体类
 */
@Data
public class AreaInsDto {
    /**
     * 仓库id
     */
    private String warehouseId;
    /**
     * warehouseName
     */
    private String warehouseName;
    /**
     *location  仓库地点
     */
    private String warehouseLocation;
    /**
     *list 装备汇总列表
     */
    private List<InventorySumDto> list;
}
