package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 根据区域id查询装备汇总输出实体类
 */
@Data
public class AreaInventoryDto implements Serializable {
    /**
     * 仓库id
     */
    private String warehouseId;
    /**
     * warehouseName
     */
    private String warehouseName;
    /**
     *location  仓库地点
     */
    private String warehouseLocation;
    /**
     * 区域名称
     */
    private String warehouseAreaName;
    /**
     *list 装备汇总列表
     */
    private List<InventorySumDto> list;
}
