package com.junmp.jyzb.api.bean.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 根据区域和货架id获取装备详情输出实体类
 */
@Data
public class InsDetailDto {
    /**
     * 
     */
    private String id;
    /**
     * 装备包ID
     */
    private String packageId;


    /**
     * 供应商
     */
    private String supplierName;

    /**
     * 部门
     */
    private String departmentName;

    /**
     * epc
     */
    private String epc;

    /**
     * 物资状态
     */
    private String state;

    /**
     * 业务状态
     */
    private String bussinessState;

    /**
     * 位置状态
     */
    private String locationState;


    /**
     * 生产日期
     */
    private Date productionDate;

    /**
     * 质保期
     */
    private int warrantyPeriod;

    /**
     * 维保期
     */
    private int maintenancePeriod;

    /**
     * 维修次数
     */
    private int fixCount;

    /**
     * 是否遗失
     */
    private int lostFlag ;

    /**
     * Tid
     */
    private String tid ;

    /**
     * 价格
     */
    private BigDecimal price ;

}
