package com.junmp.jyzb.api.bean.dto;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
public class InventoryDto implements Serializable {

    private String id;
    /**
     * epc
     */
    private String epc;
    /**
     * 装备包ID
     */
    private String packageId;

    /**
     * 装备类型ID
     */
    private String typeId;
    /**
     * 装备类型名称
     */
    private String typeName;
    /**
     * 装备号型ID
     */
    private String sizeId;
    /**
     * 装备号型名称
     */
    private String sizeName;

    /**
     * 供应商id
     */
    private String supplierId;
    /**
     * 供应商
     */
    private String supplierName;
    /**
     * 物资状态
     */
    private String state;
    /**
     * 位置状态
     */
    private String locationState;

    /**
     * 生产日期
     */
    private Date productionDate;

    /**
     * 位置类型
     */
    private String locationType;

    /**
     * 位置
     */
    private String locationId ;

    /**
     * 价格
     */
    private BigDecimal price ;

    /**
     * 货架id
     */
    private String shelfId ;

    /**
     * 货架位置
     */
    private String shelfLocation;

    /**
     * 业务状态
     */
    private String bussinessState;
    /**
     * 组织机构id
     */
    private Long orgId;
    /**
     * 组织机构
     */
    private String orgName;

    /**
     * 质保期
     */
    private int warrantyPeriod;

    /**
     * 维保期
     */
    private int maintenancePeriod;

    /**
     * 维修次数
     */
    private int fixCount;


    /**
     * 是否遗失
     */
    private int lostFlag ;


    /**
     * Tid
     */
    private String tid ;


    /**
     * 备注
     */
    private String note ;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private String updateUser;

    /**
     * 更新时间
     */
    private String createUser;

}
