package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.api.bean.dto.InventoryDto;
import com.junmp.jyzb.api.bean.query.InventoryReq;
import com.junmp.jyzb.entity.Inventory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface InventoryMapper extends BaseMapper<Inventory> {
    Map<String, Object> getSum(String queryType, String typeId);

    Map<String, Object> getOrgNum(String typeId);

    List<Map<String, Object>> getLocationInventory(@Param("queryType")String queryType, @Param("idMsg")String idMsg);

    void deleteAllMsg();

    void setOrgInventory();

    void setCabinetInventory();

    void setWarehouseInventory();

    List<InventoryDto> EqsBySearchType(InventoryReq req);
}