package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.ShelfDto;
import com.junmp.jyzb.api.bean.dto.ShelfInsDto;
import com.junmp.jyzb.api.bean.dto.ShelfInventoryDto;
import com.junmp.jyzb.api.bean.query.ShelfReq;
import com.junmp.jyzb.api.bean.req.UpdateShelfReq;
import com.junmp.jyzb.entity.Shelf;

import java.util.List;

public interface ShelfService extends IService<Shelf> {
    String AddShelf(UpdateShelfReq req);

    boolean UpdateShelf(UpdateShelfReq req);

    boolean DeleteShelf(UpdateShelfReq req);

    List<ShelfDto> GetShelfList(ShelfReq req);

    //通过货架id查询装备信息汇总
    ShelfInventoryDto ShelfInventoryList(ShelfReq req);

    //通过货架id查询装备详细信息
    ShelfInsDto ShelfInventoryDetail(ShelfReq req);
}
